package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 备忘录(JMemorandum)表实体类
 *
 * @author makejava
 * @since 2024-03-26 10:34:03
 */
@ApiModel("备忘录表")
@TableName(value = "j_memorandum")
@Data
public class JMemorandum {
    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;
    /**
     * 项目表关联id
     */
    @ApiModelProperty("项目表关联id")
    private Long projectId;
    /**
     * 名字
     */
    @ApiModelProperty("名字")
    private String name;

    /**
     * 主题/关键字
     */
    @ApiModelProperty("主题/关键字")
    private String keywords;
    /**
     * 备忘内容
     */
    @ApiModelProperty("备忘内容")
    private String content;


    /**
     * 创建ID
     */
    @ApiModelProperty("创建ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}

